package org.playonline.network.client;

import org.playonline.network.id.ID;
import org.playonline.network.lobby.LobbyMgr;
import org.playonline.network.datatransmission.DataTransmissionMgr;

public interface UGASPClient {

	ID 					getID();
	LobbyMgr 			getLobbyMgr();
	DataTransmissionMgr getDataTransmissionMgr();
	
	void 				onQuitEvent(short actorSessionID);
	void 				onJoinEvent(short actorSessionID, String username);
	void 				onEndEvent(short actorSessionID);
	void 				onStartEvent(short actorSessionID);
	void				handleDisconnection();
}
