package org.playonline.ui.basic.dialog.handler;

import android.os.Bundle;
import android.os.Message;

public class InGameDialogFrameMessage {
	
	public final static String DEFAULT_BUNDLE_KEY	= "key";
	
	public static Message sendOtherCharacterTextFlashMessage(String text){
		// create message
		Message message = new Message();
		// set what
		message.what = InGameDialogFrameWhat.OTHER_CHARACTER_TEXT_FLASH_WHAT;
		// create and set data
		Bundle b = new Bundle();
		b.putCharSequence(DEFAULT_BUNDLE_KEY, text);
		message.setData(b);
		return message;
	}
	
	public static Message getSetAllTextViewsVisibleMessage(){
		// create message
		Message message = new Message();
		// set what
		message.what = InGameDialogFrameWhat.SET_ALL_TEXT_VIEWS_VISIBLE_WHAT;
		return message;
	}
	
	
	public static Message getDisableViewMessage(int viewID){
		// create message
		Message message = new Message();
		// set what
		message.what = InGameDialogFrameWhat.DISABLE_VIEW_WHAT;
		// create and set data
		Bundle b = new Bundle();
		b.putInt(DEFAULT_BUNDLE_KEY, viewID);
		message.setData(b);
		return message;
	}
	
	public static Message getSetAllOptionsTextViewToDefaultStyleMessage(){
		// create message
		Message message = new Message();
		// set what
		message.what = InGameDialogFrameWhat.SET_ALL_OPTIONS_TEXT_VIEWS_TO_DEFAULT_STYLE_WHAT;
		return message;
	}
	
	
	public static Message getDisplayForestMessage(){
		// create message
		Message message = new Message();
		// set what
		message.what = InGameDialogFrameWhat.DISPLAY_FOREST_WHAT;
		return message;
	}
	
	
	public static Message getDisplayPlantationMessage(){
		// create message
		Message message = new Message();
		// set what
		message.what = InGameDialogFrameWhat.DISPLAY_PLANTATION_WHAT;
		return message;
	}
	
	
	public static Message getNewElementInInventoryMessage(){
		// create message
		Message message = new Message();
		// set what
		message.what = InGameDialogFrameWhat.DISPLAY_PASS_IN_INVENTORY_WHAT;
		return message;
	}
	
	public static Message getUnknownAreaMessage(){
		// create message
		Message message = new Message();
		// set what
		message.what = InGameDialogFrameWhat.DISPLAY_HIDDEN_AREA_WHAT;
		return message;
	}
}
