package org.playonline.ui.basic.map;

import java.util.HashMap;

import com.google.android.maps.GeoPoint;

public class PlayOnlineGeoPoint {
	
	//public final static GeoPoint BEGINNING_AREA = GoogleMapsUtil.getGeoPointFromCoordinates(-21.016381,55.686836);
	public final static GeoPoint BEGINNING_AREA = GoogleMapsUtil.getGeoPointFromCoordinates(77.265028,-89.890595);
	//public final static GeoPoint SAINT_BENOIT_PLANTATION = GoogleMapsUtil.getGeoPointFromCoordinates(-21.099389,55.599872);
	public final static GeoPoint PLANTATION_AREA = GoogleMapsUtil.getGeoPointFromCoordinates(77.542343,-90.082855);
	//public final static GeoPoint VOLCANO = GoogleMapsUtil.getGeoPointFromCoordinates(-21.243598,55.716033);
	public final static GeoPoint WEST_COAST = GoogleMapsUtil.getGeoPointFromCoordinates(-21.055655,55.223587);
	//public final static GeoPoint EAST_COAST = GoogleMapsUtil.getGeoPointFromCoordinates(-21.047288,55.727434);
	public final static GeoPoint MAYOR_AREA = GoogleMapsUtil.getGeoPointFromCoordinates(77.34049,-90.23941);
	public final static GeoPoint SOUTH_ISLAND_AREA = GoogleMapsUtil.getGeoPointFromCoordinates(-21.372739,55.649171);
	
	private final static HashMap<String, GeoPoint> geoPointsByName = initGeoPointsByName();
	
	private static HashMap<String, GeoPoint> initGeoPointsByName(){
		HashMap<String, GeoPoint> hashMap = new HashMap<String, GeoPoint>();
		return hashMap;
	}
	
	public static void putGeoPoint(String placeName, GeoPoint value){
		geoPointsByName.put(placeName, value);
	}
	
	public static GeoPoint getGeoPointFromName(String name){
		return geoPointsByName.get(name); 
	}
	
	public static class GoogleMapsUtil{

		/**
		 * Get a GeoPoint from given latitude and longitude.
		 * 
		 * @param lattitude
		 * @param longitude
		 * @return
		 */
		public static GeoPoint getGeoPointFromCoordinates(double latitude, double longitude){
			return new GeoPoint((int)(latitude*1E6), (int)(longitude*1E6));
		}
		
		/**
		 * Get a GeoPoint from given latitude and longitude.
		 * 
		 * @param lattitude
		 * @param longitude
		 * @return
		 */
		public static GeoPoint getGeoPointFromLocation(android.location.Location location){
			if(location != null){
				return new GeoPoint((int)(location.getLatitude()*1E6), (int)(location.getLongitude()*1E6));
			}else{
				return null;
			}
		}
		
	}

}
